Mailing List Archive

r1455 - trunk/varnish-cache/debian
Author: ssm
Date: 2007-05-18 16:14:53 +0200 (Fri, 18 May 2007)
New Revision: 1455

Added:
trunk/varnish-cache/debian/varnish.varnishlog.init
Modified:
trunk/varnish-cache/debian/dirs
trunk/varnish-cache/debian/rules
Log:
Add init script for varnishlog

Modified: trunk/varnish-cache/debian/dirs
===================================================================
--- trunk/varnish-cache/debian/dirs 2007-05-18 13:05:03 UTC (rev 1454)
+++ trunk/varnish-cache/debian/dirs 2007-05-18 14:14:53 UTC (rev 1455)
@@ -3,5 +3,6 @@
usr/lib
usr/sbin
var/log
+var/log/varnish
var/lib/varnish
usr/share/lintian/overrides/

Modified: trunk/varnish-cache/debian/rules
===================================================================
--- trunk/varnish-cache/debian/rules 2007-05-18 13:05:03 UTC (rev 1454)
+++ trunk/varnish-cache/debian/rules 2007-05-18 14:14:53 UTC (rev 1455)
@@ -83,6 +83,7 @@
dh_installdocs
# Since varnish loses its cache on restart - we don't.
dh_installinit -r
+ dh_installinit --name=varnishlog
dh_installman
dh_installexamples
dh_link

Added: trunk/varnish-cache/debian/varnish.varnishlog.init
===================================================================
--- trunk/varnish-cache/debian/varnish.varnishlog.init 2007-05-18 13:05:03 UTC (rev 1454)
+++ trunk/varnish-cache/debian/varnish.varnishlog.init 2007-05-18 14:14:53 UTC (rev 1455)
@@ -0,0 +1,65 @@
+#! /bin/sh
+#
+# varnish Control the varnish HTTP accelerator
+
+### BEGIN INIT INFO
+# Provides: varnishlog
+# Required-Start: $local_fs $network
+# Required-Stop: $local_fs $network
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description: Start HTTP accelerator log daemon
+# Description: This script provides logging for varnish
+### END INIT INFO
+
+# Source function library
+. /lib/lsb/init-functions
+
+NAME=varnishlog
+DESC="HTTP accelerator log deamon"
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+DAEMON=/usr/bin/$NAME
+PIDFILE=/var/run/$NAME.pid
+LOGFILE=/var/log/varnish/varnish.log
+
+test -x $DAEMON || exit 0
+
+DAEMON_OPTS="-a -w ${LOGFILE} -D -P $PIDFILE"
+
+case "$1" in
+ start)
+ output=$(/bin/tempfile -s.varnish)
+ log_daemon_msg "Starting $DESC"
+ log_progress_msg $NAME
+ if start-stop-daemon \
+ --start --quiet --pidfile ${PIDFILE} --exec ${DAEMON} -- \
+ ${DAEMON_OPTS} > ${output} 2>&1; then
+ log_end_msg 0
+ else
+ log_end_msg 1
+ cat $output
+ fi
+ rm $output
+ ;;
+ stop)
+ log_daemon_msg "Stopping $DESC"
+ log_progress_msg $NAME
+ if start-stop-daemon \
+ --stop --quiet --pidfile $PIDFILE --oknodo --retry 10 \
+ --exec $DAEMON; then
+ log_end_msg 0
+ else
+ log_end_msg 1
+ fi
+ ;;
+ restart|force-reload)
+ $0 stop
+ $0 start
+ ;;
+ *)
+ log_success_msg "Usage: $0 {start|stop|restart|force-reload}"
+ exit 1
+ ;;
+esac
+
+exit 0


Property changes on: trunk/varnish-cache/debian/varnish.varnishlog.init
___________________________________________________________________
Name: svn:executable
+ *